package com.qmth.teachcloud.mark.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 
 * </p>
 *
 * @author xf
 * @since 2023-09-22
 */
@TableName("scan_refix_batch")
@ApiModel(value="ScanRefixBatch对象", description="")
public class ScanRefixBatch implements Serializable {

    private static final long serialVersionUID = 1L;

    @JsonSerialize(using = ToStringSerializer.class)
    @TableId(value = "id")
    private Long id;

    @JsonSerialize(using = ToStringSerializer.class)
    private Long examId;

    private Integer cardNumber;

    private String conditions;

    private Boolean updateSlice;

    private Integer totalCount;

    private Integer sucessCount;

    private Boolean finished;

    @JsonSerialize(using = ToStringSerializer.class)
    private Long creatorId;

    @JsonSerialize(using = ToStringSerializer.class)
    private Long updaterId;

    private Long createTime;

    private Long updateTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }
    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }
    public Integer getCardNumber() {
        return cardNumber;
    }

    public void setCardNumber(Integer cardNumber) {
        this.cardNumber = cardNumber;
    }
    public String getConditions() {
        return conditions;
    }

    public void setConditions(String conditions) {
        this.conditions = conditions;
    }
    public Boolean getUpdateSlice() {
        return updateSlice;
    }

    public void setUpdateSlice(Boolean updateSlice) {
        this.updateSlice = updateSlice;
    }
    public Integer getTotalCount() {
        return totalCount;
    }

    public void setTotalCount(Integer totalCount) {
        this.totalCount = totalCount;
    }
    public Integer getSucessCount() {
        return sucessCount;
    }

    public void setSucessCount(Integer sucessCount) {
        this.sucessCount = sucessCount;
    }
    public Boolean getFinished() {
        return finished;
    }

    public void setFinished(Boolean finished) {
        this.finished = finished;
    }
    public Long getCreatorId() {
        return creatorId;
    }

    public void setCreatorId(Long creatorId) {
        this.creatorId = creatorId;
    }
    public Long getUpdaterId() {
        return updaterId;
    }

    public void setUpdaterId(Long updaterId) {
        this.updaterId = updaterId;
    }
    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }
    public Long getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Long updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public String toString() {
        return "ScanRefixBatch{" +
            "id=" + id +
            ", examId=" + examId +
            ", cardNumber=" + cardNumber +
            ", conditions=" + conditions +
            ", updateSlice=" + updateSlice +
            ", totalCount=" + totalCount +
            ", sucessCount=" + sucessCount +
            ", finished=" + finished +
            ", creatorId=" + creatorId +
            ", updaterId=" + updaterId +
            ", createTime=" + createTime +
            ", updateTime=" + updateTime +
        "}";
    }
}
